Subject: bug#6187: 23.1; can't save: "Wrong type argument: number-of-marker-p, nil"

From: Ryo Furue <[email-masked]>
Date: Fri, 18 Jun 2010 13:07:50 -1000 (HST)

| Your .emacs loads several other files that I don't have.
| To be honest, I don't really want to debug your .emacs.
| It might be helpful if you could narrow down the minimum settings that
| cause this to happen. The coding and language related ones are obvious
| places to start. It is possible that this is not a useful thing for
| you to do though. Maybe someone who knows about coding systems issues
| (not me) could say more.
| 
| On the other hand maybe it is somehow Mac specific.

Thanks for your response.  I'd like to add some bits of information,
although I'm not sure if they are helpful at all.
 
1) It's not Mac specific.  I can now reproduce the problem
on a local Debian box (i.e., without sending any windows over
the network).

2) This problem seems to be even harder than you describe.
On this very emacs process (an emacsclient connecting to
a long-time running emacs daemon) on which I'm writing this
message, the problem has been 100% reproducible so far.
But, when I invoke a separate emacs process by /usr/bin/emacs23,
it's not.  Last time I reported (see one of my previous messages),
at one point I couldn't even reproduce the problem by launching
a fresh emacs daemon and then an emacsclient.  That means,
I can't conduct such a systematic test (removing bits
from my .emacs one by one) as you suggest.

Cheers,
Ryo